diff --git a/web/pgadmin/browser/server_groups/servers/databases/external_tables/tests/test_properties.py b/web/pgadmin/browser/server_groups/servers/databases/external_tables/tests/test_properties.py
index 288f1b45..108100e8 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/external_tables/tests/test_properties.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/external_tables/tests/test_properties.py
@@ -8,11 +8,12 @@
 ##########################################################################
 import sys
 
+from grappa import should
+
 from pgadmin.browser.server_groups.servers.databases \
     .external_tables import Properties
 from pgadmin.browser.server_groups.servers.databases.external_tables \
-    .properties import PropertiesException, PropertiesTableNotFoundException
-from pgadmin.utils.route import BaseTestGenerator
+    .properties import PropertiesException
 
 if sys.version_info < (3, 3):
     from mock import MagicMock, patch
@@ -20,137 +21,114 @@ else:
     from unittest.mock import MagicMock, patch
 
 
-class TestProperties(BaseTestGenerator):
-    scenarios = [
-        ('#properties When retrieving the properties of a external table '
-         'and the table exists, '
-         'it return the properties ',
-         dict(
-             test_type='properties',
-             function_parameters=dict(
-                 table_oid=11
-             ),
-
-             connection=MagicMock(execute_2darray=MagicMock()),
-             execute_2darray_return_value=(True, dict(
-                 rows=[dict(
-                     urilocation='{http://someurl.com}',
-                     execlocation=['ALL_SEGMENTS'],
-                     fmttype='a',
-                     fmtopts='delimiter \',\' null \'\' '
-                             'escape \'"\' quote \'"\'',
-                     command=None,
-                     rejectlimit=None,
-                     rejectlimittype=None,
-                     errtblname=None,
-                     errortofile=None,
-                     pg_encoding_to_char='UTF8',
-                     writable=False,
-                     options=None,
-                     distribution=None,
-                     name='some_table',
-                     namespace='public'
-                 )]
-             )),
-
-             expect_render_template_called_with=dict(
-                 template_name_or_list='some/sql/location/'
-                                       'get_table_information.sql',
-                 table_oid=11
-             ),
-             expected_result=dict(
-                 name="some_table",
-                 type='readable',
-                 format_type='UTF8',
-                 format_options='delimiter \',\' null \'\' '
-                                'escape \'"\' quote \'"\'',
-                 external_options=None,
-                 command=None,
-                 execute_on='all segments',
-             ),
-         )),
-        ('#properties When retrieving the properties of a external table '
-         'and a SQL error happens, '
-         'it raises exception with the error message',
-         dict(
-             test_type='properties',
-             function_parameters=dict(
-                 table_oid=11
-             ),
-
-             connection=MagicMock(execute_2darray=MagicMock()),
-             execute_2darray_return_value=(False, 'Some error'),
-
-             expect_render_template_called_with=dict(
-                 template_name_or_list='some/sql/location/'
-                                       'get_table_information.sql',
-                 table_oid=11
-             ),
-             expected_raise_exception=PropertiesException,
-             expected_internal_server_error_called_with=['Some error']
-         )),
-        ('#properties When retrieving the properties of a external table '
-         'and table is not found, '
-         'it raises exception ',
-         dict(
-             test_type='properties',
-             function_parameters=dict(
-                 table_oid=11
-             ),
-
-             connection=MagicMock(execute_2darray=MagicMock()),
-             execute_2darray_return_value=(True, dict(rows=[])),
-
-             expect_render_template_called_with=dict(
-                 template_name_or_list='some/sql/location/'
-                                       'get_table_information.sql',
-                 table_oid=11
-             ),
-             expected_raise_exception=PropertiesTableNotFoundException
-         )),
-    ]
-
-    def runTest(self):
-        self.connection.execute_2darray.return_value = \
-            self.execute_2darray_return_value
-        self.__test_properties()
+class TestProperties(object):
+
+    def test_properties_existing_table(self):
+        """
+        When retrieving properties on an existing external table
+        It returns the properties
+        """
+        connection = MagicMock(execute_2darray=MagicMock())
+        connection.execute_2darray.return_value = (True, dict(
+            rows=[dict(
+                urilocation='{http://someurl.com}',
+                execlocation=['ALL_SEGMENTS'],
+                fmttype='a',
+                fmtopts='delimiter \',\' null \'\' '
+                        'escape \'"\' quote \'"\'',
+                command=None,
+                rejectlimit=None,
+                rejectlimittype=None,
+                errtblname=None,
+                errortofile=None,
+                pg_encoding_to_char='UTF8',
+                writable=False,
+                options=None,
+                distribution=None,
+                name='some_table',
+                namespace='public'
+            )]
+        ))
+
+        render_template_mock = MagicMock()
+        external_tables_view = Properties(
+            render_template_mock,
+            connection,
+            'some/sql/location/'
+        )
+        result = external_tables_view.retrieve(table_oid=11)
+
+        render_template_mock.assert_called_with(
+            template_name_or_list='some/sql/location/'
+                                  'get_table_information.sql',
+            table_oid=11
+        )
+
+        result | should.be.equal.to(
+            dict(
+                name="some_table",
+                type='readable',
+                format_type='UTF8',
+                format_options='delimiter \',\' null \'\' '
+                               'escape \'"\' quote \'"\'',
+                external_options=None,
+                command=None,
+                execute_on='all segments',
+            )
+        )
 
     @patch('pgadmin.browser.server_groups.servers.databases'
            '.external_tables.properties.internal_server_error')
-    def __test_properties(self, internal_server_error_mock):
-        self.maxDiff = None
+    def test_properties_database_error(self, internal_server_error_mock):
+        """
+        When retrieving properties of an external table
+        And a SQL error happens,
+        It raises exception with the error message
+        """
+        connection = MagicMock(execute_2darray=MagicMock())
+        connection.execute_2darray.return_value = (False, 'Some error')
         render_template_mock = MagicMock()
 
-        external_tables_view = Properties(
+        subject = Properties(
+            render_template_mock,
+            connection,
+            'some/sql/location/'
+        )
+
+        (lambda: subject.retrieve(table_oid=11)) | \
+            should.raises(PropertiesException)
+
+        render_template_mock.assert_called_with(
+            template_name_or_list='some/sql/location/'
+                                  'get_table_information.sql',
+            table_oid=11
+        )
+
+        internal_server_error_mock.assert_called_with(
+            'Some error'
+        )
+
+    def test_properties_404_error(self):
+        """
+        When retrieving the properties of a external table
+        And table is not found,
+        It raises exception
+        """
+        connection = MagicMock(execute_2darray=MagicMock())
+        connection.execute_2darray.return_value = (True, dict(rows=[]))
+        render_template_mock = MagicMock()
+
+        subject = Properties(
             render_template_mock,
-            self.connection,
+            connection,
             'some/sql/location/'
         )
 
-        result = None
-
-        try:
-            result = external_tables_view.retrieve(**self.function_parameters)
-            if hasattr(self, 'expected_raise_exception'):
-                self.fail('No exception was raised')
-        except PropertiesException as exception:
-            if hasattr(self, 'expected_raise_exception'):
-                if type(exception) is self.expected_raise_exception:
-                    if hasattr(self,
-                               'expected_internal_server_error_called_with'):
-                        internal_server_error_mock.assert_called_with(
-                            *self.expected_internal_server_error_called_with
-                        )
-                    else:
-                        internal_server_error_mock.assert_not_called()
-                else:
-                    self.fail('Wrong exception type: ' + str(exception))
-            else:
-                raise exception
-
-        if hasattr(self, 'expected_result'):
-            self.assertEqual(result, self.expected_result)
+        (lambda: subject.retrieve(table_oid=11)) | \
+            should.raises(PropertiesException)
 
         render_template_mock.assert_called_with(
-            **self.expect_render_template_called_with
+            template_name_or_list='some/sql/location/'
+                                  'get_table_information.sql',
+            table_oid=11
         )
diff --git a/web/pgadmin/browser/server_groups/servers/databases/external_tables/tests/test_reverse_engineer_ddl.py b/web/pgadmin/browser/server_groups/servers/databases/external_tables/tests/test_reverse_engineer_ddl.py
index b09040f6..f2061149 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/external_tables/tests/test_reverse_engineer_ddl.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/external_tables/tests/test_reverse_engineer_ddl.py
@@ -9,10 +9,11 @@
 
 import sys
 
+from grappa import should
+
 from pgadmin.browser.server_groups.servers.databases \
     .external_tables.reverse_engineer_ddl import \
     ReverseEngineerDDL, ReverseEngineerDDLException
-from pgadmin.utils.route import BaseTestGenerator
 
 if sys.version_info < (3, 3):
     from mock import MagicMock
@@ -20,242 +21,215 @@ else:
     from unittest.mock import MagicMock
 
 
-class TestReverseEngineerDDL(BaseTestGenerator):
-    scenarios = [
-        ('#execute When retriving the DDL for the creation of external '
-         'tables, '
-         'it retrieves information of the columns and the tables '
-         'and generate the SQL to create the table',
-         dict(
-             test_type='execute',
-             function_parameters=dict(table_oid=14),
-             find_columns_return_value=dict(somevalue='value'),
-             table_information_return_value=dict(someother='bamm'),
+class TestReverseEngineerDDL:
+    def test_execute(self):
+        """
+        When retriving the DDL for the creation of external tables,
+        It retrieves information of the columns and the tables
+        And generate the SQL to create the table
+        """
+        render_template_mock = MagicMock()
+        connection = MagicMock(execute_2darray=MagicMock())
+        subject = ReverseEngineerDDL(
+            'sql/#gpdb#80323#/',
+            render_template_mock,
+            connection,
+            1, 2, 3)
+        subject.find_columns = MagicMock(return_value=dict(somevalue='value'))
+        subject.table_information = MagicMock(
+            return_value=dict(someother='bamm'))
+        subject.execute(table_oid=14)
+
+        subject.find_columns.assert_called_with(14)
+        subject.table_information.assert_called_with(14)
+        render_template_mock.assert_called_with(
+            template_name_or_list='sql/#gpdb#80323#/create.sql',
+            table=dict(
+                someother='bamm',
+                columns=dict(somevalue='value')
+            )
+        )
 
-             expect_find_columns_called_with=14,
-             expect_table_information_called_with=14,
-             expect_render_template_called_with=dict(
-                 template_name_or_list='sql/#gpdb#80323#/create.sql',
-                 table=dict(
-                     someother='bamm',
-                     columns=dict(somevalue='value')
-                 )
-             )
-         )),
-        ('#find_columns When an external table exists, '
-         'and have 3 columns, '
-         'it returns a list with 1 object that as the table name to inherit '
-         'from',
-         dict(
-             test_type='find_columns',
-             function_parameters={'table_oid': 123},
-             execute_2darray_return_value=(True, dict(rows=[
-                 {
-                     'name': 'column_1',
-                     'cltype': 'text',
-                     'inheritedFrom': 'other_table',
-                     'inheritedid': '1234',
-                 }, {
-                     'name': 'column_2',
-                     'cltype': 'int',
-                     'inheritedFrom': 'other_table',
-                     'inheritedid': '1234',
-                 }, {
-                     'name': 'column_3',
-                     'cltype': 'numeric',
-                     'inheritedFrom': 'other_table',
-                     'inheritedid': '1234',
-                 }
-             ])),
+    def test_find_columns_with_external_tables(self):
+        """
+        When an external table exists and have 3 columns,
+        It returns a list with 1 object that as the table name to inherit from
+        """
+        render_template_mock = MagicMock()
+        connection = MagicMock(execute_2darray=MagicMock())
+        connection.execute_2darray.return_value = (True, dict(rows=[
+            {
+                'name': 'column_1',
+                'cltype': 'text',
+                'inheritedFrom': 'other_table',
+                'inheritedid': '1234',
+            }, {
+                'name': 'column_2',
+                'cltype': 'int',
+                'inheritedFrom': 'other_table',
+                'inheritedid': '1234',
+            }, {
+                'name': 'column_3',
+                'cltype': 'numeric',
+                'inheritedFrom': 'other_table',
+                'inheritedid': '1234',
+            }
+        ]))
+
+        subject = ReverseEngineerDDL(
+            'sql/#gpdb#80323#/',
+            render_template_mock,
+            connection,
+            1, 2, 3)
 
-             expect_render_template_called_with=dict(
-                 template_name_or_list='sql/#gpdb#80323#/get_columns.sql',
-                 table_oid=123
-             ),
-             expected_result=[
-                 {
-                     'name': 'column_1',
-                     'type': 'text'
-                 },
-                 {
-                     'name': 'column_2',
-                     'type': 'int'
-                 },
-                 {
-                     'name': 'column_3',
-                     'type': 'numeric'
-                 },
-             ],
-         )),
-        ('#find_columns When error happens while retrieving '
-         'column information, '
-         'it raise an exception',
-         dict(
-             test_type='find_columns',
-             function_parameters={'table_oid': 123},
-             execute_2darray_return_value=(False, 'Some error message'),
+        result = subject.find_columns(table_oid=123)
 
-             expect_render_template_called_with=dict(
-                 template_name_or_list='sql/#gpdb#80323#/get_columns.sql',
-                 table_oid=123
-             ),
-             expected_exception=ReverseEngineerDDLException(
-                 'Some error message'),
-         )
-         ),
-        ('#table_information When error happens while retrieving '
-         'table generic information, '
-         'it raise an exception',
-         dict(
-             test_type='table_information',
-             function_parameters={'table_oid': 123},
-             execute_2darray_return_value=(False, 'Some error message'),
+        render_template_mock.assert_called_with(
+            template_name_or_list='sql/#gpdb#80323#/get_columns.sql',
+            table_oid=123
+        )
 
-             expect_render_template_called_with=dict(
-                 template_name_or_list='sql/#gpdb#80323#/'
-                                       'get_table_information.sql',
-                 table_oid=123
-             ),
-             expected_exception=ReverseEngineerDDLException(
-                 'Some error message'),
-         )
-         ),
-        ('#table_information When cannot find the table, '
-         'it raise an exception',
-         dict(
-             test_type='table_information',
-             function_parameters={'table_oid': 123},
-             execute_2darray_return_value=(True, {'rows': []}),
+        result | should.be.equal.to([
+            {
+                'name': 'column_1',
+                'type': 'text'
+            },
+            {
+                'name': 'column_2',
+                'type': 'int'
+            },
+            {
+                'name': 'column_3',
+                'type': 'numeric'
+            },
+        ])
+
+    def test_find_columns_with_error(self):
+        """
+            When error happens while retrieving column information,
+            It raise an exception
+        """
+        render_template_mock = MagicMock()
+        connection = MagicMock(execute_2darray=MagicMock())
+        connection.execute_2darray.return_value = (False, 'Some error message')
+
+        subject = ReverseEngineerDDL(
+            'sql/#gpdb#80323#/',
+            render_template_mock,
+            connection,
+            1, 2, 3)
 
-             expect_render_template_called_with=dict(
-                 template_name_or_list='sql/#gpdb#80323#/'
-                                       'get_table_information.sql',
-                 table_oid=123
-             ),
-             expected_exception=ReverseEngineerDDLException(
-                 'Table not found'),
-         )),
-        ('#table_information When retrieving generic information '
-         'about a Web table, '
-         'it returns the table information',
-         dict(
-             test_type='table_information',
-             function_parameters={'table_oid': 123},
-             execute_2darray_return_value=(True, dict(rows=[
-                 {
-                     'urilocation': '{http://someurl.com}',
-                     'execlocation': ['ALL_SEGMENTS'],
-                     'fmttype': 'a',
-                     'fmtopts': 'delimiter \',\' null \'\' '
-                                'escape \'"\' quote \'"\'',
-                     'command': None,
-                     'rejectlimit': None,
-                     'rejectlimittype': None,
-                     'errtblname': None,
-                     'errortofile': None,
-                     'pg_encoding_to_char': 'UTF8',
-                     'writable': False,
-                     'options': None,
-                     'distribution': None,
-                     'name': 'some_table',
-                     'namespace': 'public'
-                 }
-             ])),
+        (lambda: subject.find_columns(table_oid=123)) | \
+            should.raises(ReverseEngineerDDLException)
 
-             expect_render_template_called_with=dict(
-                 template_name_or_list='sql/#gpdb#80323#/'
-                                       'get_table_information.sql',
-                 table_oid=123
-             ),
-             expected_result={
-                 'uris': ['http://someurl.com'],
-                 'isWeb': True,
-                 'executionLocation': dict(type='all_segments', value=None),
-                 'formatType': 'avro',
-                 'formatOptions': 'delimiter = $$,$$,escape = $$"$$,'
-                                  'null = $$$$,quote = $$"$$',
-                 'command': None,
-                 'rejectLimit': None,
-                 'rejectLimitType': None,
-                 'errorTableName': None,
-                 'erroToFile': None,
-                 'pgEncodingToChar': 'UTF8',
-                 'writable': False,
-                 'options': None,
-                 'distribution': None,
-                 'name': 'some_table',
-                 'namespace': 'public'
-             },
-         )),
-    ]
+        render_template_mock.assert_called_with(
+            template_name_or_list='sql/#gpdb#80323#/get_columns.sql',
+            table_oid=123
+        )
 
-    def __init__(self, *args, **kwargs):
-        super(TestReverseEngineerDDL, self).__init__(*args, **kwargs)
-        self.connection = None
-        self.subject = None
-        self.render_template_mock = None
+    def test_table_information_with_error(self):
+        """
+            When error happens while retrieving table generic information,
+            It raise an exception
+        """
+        render_template_mock = MagicMock()
+        connection = MagicMock(execute_2darray=MagicMock())
+        connection.execute_2darray.return_value = (False, 'Some error message')
 
-    def runTest(self):
-        self.render_template_mock = MagicMock()
-        self.connection = MagicMock(execute_2darray=MagicMock())
-        if hasattr(self, 'execute_2darray_return_value'):
-            self.connection.execute_2darray.return_value = \
-                self.execute_2darray_return_value
-        self.subject = ReverseEngineerDDL(
+        subject = ReverseEngineerDDL(
             'sql/#gpdb#80323#/',
-            self.render_template_mock,
-            self.connection,
+            render_template_mock,
+            connection,
             1, 2, 3)
-        if self.test_type == 'find_columns':
-            self.__test_find_columns()
-        elif self.test_type == 'table_information':
-            self.__test_table_information()
-        elif self.test_type == 'execute':
-            self.__test_execute()
 
-    def __test_find_columns(self):
-        if hasattr(self, 'expected_exception'):
-            try:
-                self.subject.find_columns(**self.function_parameters)
-                self.fail('Exception not raise')
-            except ReverseEngineerDDLException as exception:
-                self.assertEqual(str(exception),
-                                 str(self.expected_exception))
-        else:
-            result = self.subject.find_columns(**self.function_parameters)
-            self.assertEqual(self.expected_result, result)
+        (lambda: subject.table_information(table_oid=123)) | \
+            should.raises(ReverseEngineerDDLException)
 
-        self.render_template_mock.assert_called_with(
-            **self.expect_render_template_called_with
+        render_template_mock.assert_called_with(
+            template_name_or_list='sql/#gpdb#80323#/get_table_information.sql',
+            table_oid=123
         )
 
-    def __test_table_information(self):
-        if hasattr(self, 'expected_exception'):
-            try:
-                self.subject.table_information(**self.function_parameters)
-                self.fail('Exception not raise')
-            except ReverseEngineerDDLException as exception:
-                self.assertEqual(str(exception),
-                                 str(self.expected_exception))
-        else:
-            result = self.subject.table_information(**self.function_parameters)
-            self.assertEqual(self.expected_result, result)
+    def test_table_information_on_table_not_found(self):
+        """
+            When cannot find table
+            It raise an exception
+        """
+        render_template_mock = MagicMock()
+        connection = MagicMock(execute_2darray=MagicMock())
+        connection.execute_2darray.return_value = (True, {'rows': []})
+
+        subject = ReverseEngineerDDL(
+            'sql/#gpdb#80323#/',
+            render_template_mock,
+            connection,
+            1, 2, 3)
+
+        (lambda: subject.table_information(table_oid=123)) | \
+            should.raises(ReverseEngineerDDLException)
 
-        self.render_template_mock.assert_called_with(
-            **self.expect_render_template_called_with
+        render_template_mock.assert_called_with(
+            template_name_or_list='sql/#gpdb#80323#/get_table_information.sql',
+            table_oid=123
         )
 
-    def __test_execute(self):
-        self.subject.find_columns = MagicMock(
-            return_value=self.find_columns_return_value)
-        self.subject.table_information = MagicMock(
-            return_value=self.table_information_return_value)
+    def test_table_information(self):
+        """
+             When retrieving generic information about a Web table,
+             It returns the table information
+        """
+        render_template_mock = MagicMock()
+        connection = MagicMock(execute_2darray=MagicMock())
+        connection.execute_2darray.return_value = (True, dict(rows=[
+            {
+                'urilocation': '{http://someurl.com}',
+                'execlocation': ['ALL_SEGMENTS'],
+                'fmttype': 'a',
+                'fmtopts': 'delimiter \',\' null \'\' '
+                           'escape \'"\' quote \'"\'',
+                'command': None,
+                'rejectlimit': None,
+                'rejectlimittype': None,
+                'errtblname': None,
+                'errortofile': None,
+                'pg_encoding_to_char': 'UTF8',
+                'writable': False,
+                'options': None,
+                'distribution': None,
+                'name': 'some_table',
+                'namespace': 'public'
+            }
+        ]))
+
+        subject = ReverseEngineerDDL(
+            'sql/#gpdb#80323#/',
+            render_template_mock,
+            connection,
+            1, 2, 3)
 
-        self.subject.execute(**self.function_parameters)
+        subject.table_information(table_oid=123) | should.be.equal.to(
+            {
+                'uris': ['http://someurl.com'],
+                'isWeb': True,
+                'executionLocation': dict(type='all_segments', value=None),
+                'formatType': 'avro',
+                'formatOptions': 'delimiter = $$,$$,escape = $$"$$,'
+                                 'null = $$$$,quote = $$"$$',
+                'command': None,
+                'rejectLimit': None,
+                'rejectLimitType': None,
+                'errorTableName': None,
+                'erroToFile': None,
+                'pgEncodingToChar': 'UTF8',
+                'writable': False,
+                'options': None,
+                'distribution': None,
+                'name': 'some_table',
+                'namespace': 'public'
+            })
+
+        render_template_mock.assert_called_with(
+            template_name_or_list='sql/#gpdb#80323#/get_table_information.sql',
+            table_oid=123
 
-        self.subject.find_columns.assert_called_with(
-            self.expect_find_columns_called_with)
-        self.subject.table_information.assert_called_with(
-            self.expect_table_information_called_with)
-        self.render_template_mock.assert_called_with(
-            **self.expect_render_template_called_with)
+        )
diff --git a/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/foreign_servers/tests/__init__.py b/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/foreign_servers/tests/__init__.py
index 12df4f9d..590026ad 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/foreign_servers/tests/__init__.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/foreign_servers/tests/__init__.py
@@ -6,11 +6,3 @@
 # This software is released under the PostgreSQL Licence
 #
 ##########################################################################
-
-from pgadmin.utils.route import BaseTestGenerator
-
-
-class ForeignServersGeneratorTestCase(BaseTestGenerator):
-
-    def runTest(self):
-        return []
